using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Wyklad : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["osoba"] == null) Response.Redirect("Formularz.aspx");

        if (Session["wyklad"] != null)
        {
            StrukturyDanych.Wyklad wyklad = (StrukturyDanych.Wyklad)Session["wyklad"];
            TextBox1.Text = wyklad.Tytul;
            TextBox2.Text = wyklad.Mowca;
            TextBox3.Text = wyklad.PozostaliAutorzy;
            TextBox4.Text = wyklad.Streszczenie;
            Session.Add("wyklad", null);
        }

        if (TextBox2.Text == "")
        {
            StrukturyDanych.Osoba osoba = (StrukturyDanych.Osoba)Session["osoba"];
            TextBox2.Text = osoba.Imie + " " + osoba.Nazwisko;
        }
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("Index.aspx");
    }


    protected void Button1_Click(object sender, EventArgs e)
    {
        StrukturyDanych.Wyklad wyklad = new StrukturyDanych.Wyklad();
        wyklad.Tytul = TextBox1.Text;
        wyklad.Mowca = TextBox2.Text;
        wyklad.PozostaliAutorzy = TextBox3.Text;
        wyklad.Streszczenie = TextBox4.Text;
        Session.Add("wyklad", wyklad);

        Response.Redirect("Nocleg.aspx");
    }
}
